Bug 63645 - Cluadmin doesn't handle SIGTERM
Cluadmin doesn't handle SIGTERM
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jason Baron
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-04-16 15:30 EDT by Lon Hohberger
Modified: 2013-03-06 00:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 11:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2002-04-16 15:30:09 EDT
Description of Problem:
Cluadmin does not exit cleanly when sent a TERM signal - it does not release the
cluster session lock.

Version-Release number of selected component (if applicable): 1.0.11-1

How Reproducible: Always.

Steps to Reproduce:
1. Run cluadmin.
2. Log in on another pty and run "killall -TERM cluadmin"
3. Run cluadmin again.

Actual Results:
Nasty message asking if you want to seize the cluster session lock when cluadmin
is run after it's been TERMinated.

Expected Results:
Clean reentry.

Additional Information:
Comment 1 Lon Hohberger 2002-06-21 11:36:26 EDT
Enhancements in pool.  As a side effect, I also changed the lack of handling of
Ctrl-C in the same manner, making the UI part of cluadmin *slightly* more sane -
any complete 'commit' operation succeeds, but I also note that signals are
ignored _during_ all operations involving writing the cluster database:

- Lock
- UnLock
- Write
- WriteFile

So, in a few instances, "Ctrl-C" will be ignored to prevent data corruption.

Note You need to log in before you can comment on or make changes to this bug.